Skip to main content
Server path: /launchdarkly-projects | Type: Application | PCID required: Yes

Tools

ToolDescription
launchdarkly_projects_create_big_segment_exportCreate big segment export
launchdarkly_projects_create_big_segment_importCreate big segment import
launchdarkly_projects_create_layerCreate layer
launchdarkly_projects_delete_context_instancesDelete context instances
launchdarkly_projects_delete_environmentDelete environment
launchdarkly_projects_delete_projectDelete project
launchdarkly_projects_delete_segmentDelete segment
launchdarkly_projects_evaluate_context_instanceEvaluate flags for context instance
launchdarkly_projects_get_big_segment_exportGet big segment export
launchdarkly_projects_get_big_segment_importGet big segment import
launchdarkly_projects_get_context_attribute_namesGet context attribute names
launchdarkly_projects_get_context_attribute_valuesGet context attribute values
launchdarkly_projects_get_context_instance_segments_membership_by_envList segment memberships for context instance
launchdarkly_projects_get_context_instancesGet context instances
launchdarkly_projects_get_context_kinds_by_project_keyGet context kinds
launchdarkly_projects_get_contextsGet contexts
launchdarkly_projects_get_environmentGet environment
launchdarkly_projects_get_environments_by_projectList environments
launchdarkly_projects_get_expiring_targets_for_segmentGet expiring targets for segment
launchdarkly_projects_get_expiring_user_targets_for_segmentGet expiring user targets for segment
launchdarkly_projects_get_flag_defaults_by_projectGet flag defaults for project
launchdarkly_projects_get_layersGet layers
launchdarkly_projects_get_projectGet project
launchdarkly_projects_get_projectsList projects
launchdarkly_projects_get_segmentGet segment
launchdarkly_projects_get_segment_membership_for_contextGet big segment membership for context
launchdarkly_projects_get_segment_membership_for_userGet big segment membership for user
launchdarkly_projects_get_segmentsList segments
launchdarkly_projects_patch_environmentUpdate environment
launchdarkly_projects_patch_expiring_targets_for_segmentUpdate expiring targets for segment
launchdarkly_projects_patch_expiring_user_targets_for_segmentUpdate expiring user targets for segment
launchdarkly_projects_patch_flag_defaults_by_projectUpdate flag default for project
launchdarkly_projects_patch_projectUpdate project
launchdarkly_projects_patch_segmentPatch segment
launchdarkly_projects_post_environmentCreate environment
launchdarkly_projects_post_projectCreate project
launchdarkly_projects_post_segmentCreate segment
launchdarkly_projects_put_context_flag_settingUpdate flag settings for context
launchdarkly_projects_put_context_kindCreate or update context kind
launchdarkly_projects_put_flag_defaults_by_projectCreate or update flag defaults for project
launchdarkly_projects_reset_environment_mobile_keyReset environment mobile SDK key
launchdarkly_projects_reset_environment_sdkkeyReset environment SDK key
launchdarkly_projects_search_context_instancesSearch for context instances
launchdarkly_projects_search_contextsSearch for contexts
launchdarkly_projects_update_big_segment_context_targetsUpdate context targets on a big segment
launchdarkly_projects_update_big_segment_targetsUpdate user context targets on a big segment
launchdarkly_projects_update_layerUpdate layer

launchdarkly_projects_create_big_segment_export

Create big segment export Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key

launchdarkly_projects_create_big_segment_import

Create big segment import Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
filestringNoCSV file containing keys
modestringNoImport mode. Use either merge or replace
waitOnApprovalsbooleanNoWhether to wait for approvals before processing the import

launchdarkly_projects_create_layer

Create layer Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
descriptionstringYesThe checkout flow for the application
keystringYesUnique identifier for the layer
namestringYesLayer name

launchdarkly_projects_delete_context_instances

Delete context instances Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
idstringYesThe context instance ID

launchdarkly_projects_delete_environment

Delete environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key

launchdarkly_projects_delete_project

Delete project Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key

launchdarkly_projects_delete_segment

Delete segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key

launchdarkly_projects_evaluate_context_instance

Evaluate flags for context instance Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
limitintegerNoThe number of feature flags to return. Defaults to -1, which returns all flags
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sortstringNoA comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order
filterstringNoA comma-separated list of filters. Each filter is of the form field operator value. Supported fields are explained above.
bodyobjectYesRequest body

launchdarkly_projects_get_big_segment_export

Get big segment export Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
exportIDstringYesThe export ID

launchdarkly_projects_get_big_segment_import

Get big segment import Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
importIDstringYesThe import ID

launchdarkly_projects_get_context_attribute_names

Get context attribute names Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
filterstringNoA comma-separated list of context filters. This endpoint only accepts kind filters, with the equals operator, and name filters, with the startsWith operator. To learn more about the filter syntax, read Filtering contexts and context instances.
limitintegerNoSpecifies the maximum number of items in the collection to return (max: 100, default: 100)

launchdarkly_projects_get_context_attribute_values

Get context attribute values Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
attributeNamestringYesThe attribute name
filterstringNoA comma-separated list of context filters. This endpoint only accepts kind filters, with the equals operator, and value filters, with the startsWith operator. To learn more about the filter syntax, read Filtering contexts and context instances.
limitintegerNoSpecifies the maximum number of items in the collection to return (max: 100, default: 50)

launchdarkly_projects_get_context_instance_segments_membership_by_env

List segment memberships for context instance Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
bodyobjectYesRequest body

launchdarkly_projects_get_context_instances

Get context instances Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
idstringYesThe context instance ID
limitintegerNoSpecifies the maximum number of context instances to return (max: 50, default: 20)
continuationTokenstringNoLimits results to context instances with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sortstringNoSpecifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
filterstringNoA comma-separated list of context filters. This endpoint only accepts an applicationId filter. To learn more about the filter syntax, read Filtering contexts and context instances.
includeTotalCountbooleanNoSpecifies whether to include or omit the total count of matching context instances. Defaults to true.

launchdarkly_projects_get_context_kinds_by_project_key

Get context kinds Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key

launchdarkly_projects_get_contexts

Get contexts Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
kindstringYesThe context kind
keystringYesThe context key
limitintegerNoSpecifies the maximum number of items in the collection to return (max: 50, default: 20)
continuationTokenstringNoLimits results to contexts with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sortstringNoSpecifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
filterstringNoA comma-separated list of context filters. This endpoint only accepts an applicationId filter. To learn more about the filter syntax, read Filtering contexts and context instances.
includeTotalCountbooleanNoSpecifies whether to include or omit the total count of matching contexts. Defaults to true.

launchdarkly_projects_get_environment

Get environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key

launchdarkly_projects_get_environments_by_project

List environments Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
limitintegerNoThe number of environments to return in the response. Defaults to 20.
offsetintegerNoWhere to start in the list. This is for use with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
filterstringNoA comma-separated list of filters. Each filter is of the form field:value.
sortstringNoA comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.

launchdarkly_projects_get_expiring_targets_for_segment

Get expiring targets for segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key

launchdarkly_projects_get_expiring_user_targets_for_segment

Get expiring user targets for segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key

launchdarkly_projects_get_flag_defaults_by_project

Get flag defaults for project Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key

launchdarkly_projects_get_layers

Get layers Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
filterstringNoA comma-separated list of filters. This endpoint only accepts filtering by experimentKey. The filter returns layers which include that experiment for the selected environment(s). For example: filter=reservations.experimentKey contains expKey.

launchdarkly_projects_get_project

Get project Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key.
expandstringNoA comma-separated list of properties that can reveal additional information in the response.

launchdarkly_projects_get_projects

List projects Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoThe number of projects to return in the response. Defaults to 20.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and returns the next limit items.
filterstringNoA comma-separated list of filters. Each filter is constructed as field:value.
sortstringNoA comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order.
expandstringNoA comma-separated list of properties that can reveal additional information in the response.

launchdarkly_projects_get_segment

Get segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key

launchdarkly_projects_get_segment_membership_for_context

Get big segment membership for context Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
contextKeystringYesThe context key

launchdarkly_projects_get_segment_membership_for_user

Get big segment membership for user Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
userKeystringYesThe user key

launchdarkly_projects_get_segments

List segments Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
limitintegerNoThe number of segments to return. Defaults to 20.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sortstringNoAccepts sorting order and fields. Fields can be comma separated. Possible fields are ‘creationDate’, ‘name’, ‘lastModified’. Example: sort=name sort by names ascending or sort=-name,creationDate sort by names descending and creationDate ascending.
filterstringNoAccepts filter by excludedKeys, external, includedKeys, query, tags, unbounded, view. To learn more about the filter syntax, read the ‘Filtering segments’ section above.

launchdarkly_projects_patch_environment

Update environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
bodyobject[]YesRequest body

launchdarkly_projects_patch_expiring_targets_for_segment

Update expiring targets for segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
commentstringNoOptional description of changes
instructionsobject[]YesSemantic patch instructions for the desired changes to the resource

launchdarkly_projects_patch_expiring_user_targets_for_segment

Update expiring user targets for segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
commentstringNoOptional description of changes
instructionsobject[]YesSemantic patch instructions for the desired changes to the resource

launchdarkly_projects_patch_flag_defaults_by_project

Update flag default for project Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
bodyobject[]YesRequest body

launchdarkly_projects_patch_project

Update project Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
bodyobject[]YesRequest body

launchdarkly_projects_patch_segment

Patch segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
dryRunbooleanNoIf true, the patch will be validated but not persisted. Returns a preview of the segment after the patch is applied.
commentstringNoOptional comment
patchobject[]YesThe patch value

launchdarkly_projects_post_environment

Create environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
colorstringYesA color to indicate this environment in the UI
confirmChangesbooleanNoRequires confirmation for all flag and segment changes via the UI in this environment
criticalbooleanNoWhether the environment is critical
defaultTrackEventsbooleanNoEnables tracking detailed information for new flags by default
defaultTtlintegerNoThe default time (in minutes) that the PHP SDK can cache feature flag rules locally
keystringYesA project-unique key for the new environment
namestringYesA human-friendly name for the new environment
requireCommentsbooleanNoRequires comments for all flag and segment changes via the UI in this environment
secureModebooleanNoEnsures that one end user of the client-side SDK cannot inspect the variations for another end user
sourceobjectNoThe source value
tagsstring[]NoTags to apply to the new environment

launchdarkly_projects_post_project

Create project Parameters:
ParameterTypeRequiredDefaultDescription
defaultClientSideAvailabilityobjectNoDefault Client Side Availability
environmentsobject[]NoCreates the provided environments for this project. If omitted default environments will be created instead.
includeInSnippetByDefaultbooleanNoWhether or not flags created in this project are made available to the client-side JavaScript SDK by default.
keystringYesA unique key used to reference the project in your code.
namestringYesA human-friendly name for the project.
namingConventionobjectNoNaming Convention
tagsstring[]NoTags for the project

launchdarkly_projects_post_segment

Create segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
descriptionstringNoA description of the segment’s purpose
keystringYesA unique key used to reference the segment
namestringYesA human-friendly name for the segment
tagsstring[]NoTags for the segment
unboundedbooleanNoWhether to create a standard segment (<code>false</code>) or a big segment (<code>true</code>). Standard segments include rule-based and smaller list-based segments. Big segments include larger list-based segments and synced segments. Only use a big segment if you need to add more than 15,000 individual targets.
unboundedContextKindstringNoFor big segments, the targeted context kind.

launchdarkly_projects_put_context_flag_setting

Update flag settings for context Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
contextKindstringYesThe context kind
contextKeystringYesThe context key
featureFlagKeystringYesThe feature flag key
commentstringNoOptional comment describing the change
settingobjectNoThe variation value to set for the context. Must match the flag’s variation type.

launchdarkly_projects_put_context_kind

Create or update context kind Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
keystringYesThe context kind key
archivedbooleanNoWhether the context kind is archived. Archived context kinds are unavailable for targeting.
descriptionstringNoThe context kind description
hideInTargetingbooleanNoAlias for archived.
namestringYesThe context kind name
versionintegerNoThe context kind version. If not specified when the context kind is created, defaults to 1.

launchdarkly_projects_put_flag_defaults_by_project

Create or update flag defaults for project Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
booleanDefaultsobjectYesBoolean Defaults
defaultClientSideAvailabilityobjectYesDefault Client Side Availability
tagsstring[]YesA list of default tags for each flag
temporarybooleanYesWhether the flag should be temporary by default

launchdarkly_projects_reset_environment_mobile_key

Reset environment mobile SDK key Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key

launchdarkly_projects_reset_environment_sdkkey

Reset environment SDK key Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
expiryintegerNoThe time at which you want the old SDK key to expire, in UNIX milliseconds. By default, the key expires immediately. During the period between this call and the time when the old SDK key expires, both the old SDK key and the new SDK key will work.

launchdarkly_projects_search_context_instances

Search for context instances Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
limitintegerNoSpecifies the maximum number of items in the collection to return (max: 50, default: 20)
continuationTokenstringNoLimits results to context instances with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sortstringNoSpecifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
filterstringNoA comma-separated list of context filters. This endpoint only accepts an applicationId filter. To learn more about the filter syntax, read Filtering contexts and context instances.
includeTotalCountbooleanNoSpecifies whether to include or omit the total count of matching context instances. Defaults to true.

launchdarkly_projects_search_contexts

Search for contexts Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
limitintegerNoSpecifies the maximum number of items in the collection to return (max: 50, default: 20)
continuationTokenstringNoLimits results to contexts with sort values after the value specified. You can use this for pagination, however, we recommend using the next link we provide instead.
sortstringNoSpecifies a field by which to sort. LaunchDarkly supports sorting by timestamp in ascending order by specifying ts for this value, or descending order by specifying -ts.
filterstringNoA comma-separated list of context filters. To learn more about the filter syntax, read Filtering contexts and context instances.
includeTotalCountbooleanNoSpecifies whether to include or omit the total count of matching contexts. Defaults to true.

launchdarkly_projects_update_big_segment_context_targets

Update context targets on a big segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
excludedobjectNoThe excluded value
includedobjectNoThe included value

launchdarkly_projects_update_big_segment_targets

Update user context targets on a big segment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
segmentKeystringYesThe segment key
excludedobjectNoThe excluded value
includedobjectNoThe included value

launchdarkly_projects_update_layer

Update layer Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
layerKeystringYesThe layer key
commentstringNoOptional comment describing the update
environmentKeystringNoThe environment key used for making environment specific updates. For example, updating the reservation of an experiment
instructionsobject[]YesThe instructions value